import QtQml 2.12
import QtQuick 2.12
import QtQuick.Controls 2.4
import QtQuick.Controls.Material 2.4
import QtQuick.Window 2.12
import QtQuick.Layouts 1.12

import MultiTouch 1.0

RowLayout {
    id: root
    
    function gesturePolicy() {
        if (withinBoundsRadioButton.checked) {
            return TapHandler.WithinBounds;
        }
        if (releaseWithinBoundsRadioButton.checked) {
            return TapHandler.ReleaseWithinBounds;
        }
        return TapHandler.DragThreshold;
    }
    
    Label {
        text: qsTr("gesture policy:")
    }
    RadioButton {
        id: dragThresholdRadioButton
        
        checked: true
        text: qsTr("DragThreshold")
    }
    RadioButton {
        id: withinBoundsRadioButton
        
        text: qsTr("WithinBounds")
    }
    RadioButton {
        id: releaseWithinBoundsRadioButton
        
        text: qsTr("ReleaseWithinBounds")
    }
}
