import QtQml 2.12
import QtQuick 2.12
import QtQuick.Controls 2.4
import QtQuick.Controls.Material 2.4
import QtQuick.Window 2.12
import QtQuick.Layouts 1.12

import MultiTouch 1.0

Rectangle {
    id: root

    property bool pressed: false
    property bool large: true
    property alias description: text.text

    implicitWidth: large ? 100 : (text.implicitWidth+ 20)
    implicitHeight: large ? 100 : (text.implicitHeight + 20)
    border {
        color: "black"
        width: 4
    }
    radius: 8
    color: pressed ? "#FFC107" : "#FFF59D"

    Label {
        id: text

        y: 10
        anchors.horizontalCenter: parent.horizontalCenter
    }
}
