#pragma once

#include <QObject>

class TouchDeviceInfo : public QObject {
    Q_OBJECT

    Q_PROPERTY(int maximumTouchPoints READ maximumTouchPoints CONSTANT)
    Q_PROPERTY(QStringList capabilities READ capabilities CONSTANT)

public:
    explicit TouchDeviceInfo(QObject* parent = nullptr);

    int maximumTouchPoints() const;
    QStringList capabilities() const;

private:
    int m_maximumTouchPoints;
    QStringList m_capabilities;
};
