import QtQml 2.12
import QtQuick 2.12
import QtQuick.Controls 2.4
import QtQuick.Controls.Material 2.4
import QtQuick.Window 2.12
import QtQuick.Layouts 1.12

import MultiTouch 1.0

MouseArea {
    id: root

    property alias color: background.color

    implicitWidth: detailsLayout.implicitWidth + 100
    implicitHeight: detailsLayout.implicitHeight + 100
    onClicked: console.debug("onClicked", root)
    onDoubleClicked: console.debug("onDoubleClicked", root)

    Rectangle {
        id: background

        anchors.fill: parent
        color: "red"
        opacity: 0.7
    }

    GridLayout {
        id: detailsLayout

        anchors.centerIn: parent
        columns: 2

        Label {
            text: qsTr("ID:")
        }
        Label {
            text: qsTr("%1").arg(root)
        }
        Label {
            text: qsTr("pressed:")
        }
        Label {
            text: qsTr("%1").arg(root.pressed)
        }
        Label {
            text: qsTr("contains press:")
        }
        Label {
            text: qsTr("%1").arg(root.containsPress)
        }
        Button {
            id: button

            text: qsTr("Button....................")
            onClicked: console.debug("onClicked", button)
        }
    }
}
